Attach location to holiday
POST/api/holidays/{holiday_id}/locations/{location_id}
This endpoint allows you to attach a location to a holiday.
Required permissions:
- settings.company: allows to manage location holidays.
Here the dedicated support page.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the holiday
Possible values: Value must match regular expression [0-9]+
The ID of the location to attach to the holiday
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 401
- 403
- 404
- 412
Location successfully attached to holiday
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: >= 1
The ID of the holiday
Possible values: >= 1
The ID of the location
The date and time when the resource was deleted
{
"id": 1,
"created_at": "2026-04-24T10:03:53.577Z",
"updated_at": "2026-04-24T10:03:53.577Z",
"holiday_id": 1,
"location_id": 1,
"deleted_at": "2026-04-24T10:03:53.577Z"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}